%define srcName beamer

Name:    tetex-latex-%srcName
Version: 3.01
Release: alt1
Summary: A LaTeX class that allows create pdf-presentations
Summary(ru_RU.KOI8-R): LaTeX      pdf-
License: GPL
Group:   Publishing
URL:     http://latex-beamer.sourceforge.net

BuildArchitectures: noarch

Requires: tetex-core tetex-latex tetex-latex-xcolor tetex-latex-pgf

Source0: latex-%srcName-%version.tar.gz

%package -n emacs-%srcName-el
Summary: emacs support for beamer LaTeX class
Group: Editors
Requires: %name = %version-%release

%package -n lyx-%srcName
Summary: LYX layout for beamer LaTeX class
Group: Editors
Requires: %name = %version-%release

%description 
The beamer class is a LaTeX class that allows you to create 
a beamer presentation. It can also be used to create slides. 
It behaves similarly to other packages like Prosper, 
but has the advantage that it works together directly with pdflatex, 
but also with dvis.
#%description -l ru_RU.KOI8-R

%description -n emacs-%srcName-el
emacs support for beamer LaTeX class

%description -n lyx-%srcName
LYX layout for beamer LaTeX class

%prep
%setup -q -n %srcName

%build
%__mv emulation/examples doc/emulation

%install
%__mkdir_p %buildroot{%_datadir/texmf/tex/latex/beamer/{base/art,emulation,extensions/multimedia,themes/{color,font,inner,outer,theme/compatibility}},%_docdir/{emulation/examples,examples,solutions},%_emacslispdir,%_datadir/lyx/layouts}
install -pD -m644 base/*.sty %buildroot%_datadir/texmf/tex/latex/beamer/base/
install -pD -m644 base/*.cls %buildroot%_datadir/texmf/tex/latex/beamer/base/
install -pD -m644 base/art/* %buildroot%_datadir/texmf/tex/latex/beamer/base/art/
install -pD -m644 emulation/*.* %buildroot%_datadir/texmf/tex/latex/beamer/emulation/
install -pD -m644 extensions/multimedia/* %buildroot%_datadir/texmf/tex/latex/beamer/extensions/multimedia/
install -pD -m644 themes/color/*.sty %buildroot%_datadir/texmf/tex/latex/beamer/themes/color/
install -pD -m644 themes/font/*.sty %buildroot%_datadir/texmf/tex/latex/beamer/themes/font/
install -pD -m644 themes/inner/*.sty %buildroot%_datadir/texmf/tex/latex/beamer/themes/inner/
install -pD -m644 themes/outer/*.sty %buildroot%_datadir/texmf/tex/latex/beamer/themes/outer/
install -pD -m644 themes/theme/*.sty %buildroot%_datadir/texmf/tex/latex/beamer/themes/theme/
install -pD -m644 themes/theme/compatibility/*.sty %buildroot%_datadir/texmf/tex/latex/beamer/themes/theme/compatibility/
install -pD -m644 emacs/beamer.el %buildroot%_emacslispdir/
install -pD -m644 lyx/layouts/beamer.layout %buildroot%_datadir/lyx/layouts/



%post
[ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:

%postun
[ -x /usr/bin/texhash ] && /usr/bin/texhash 2>/dev/null ||:


%files
%_datadir/texmf/tex/latex/beamer/base/*
%_datadir/texmf/tex/latex/beamer/emulation/*
%_datadir/texmf/tex/latex/beamer/extensions/multimedia/*
%_datadir/texmf/tex/latex/beamer/themes/*
%doc AUTHORS ChangeLog FILES INSTALL README TODO doc/beameruserguide.pdf examples solutions 
%doc doc/emulation

%files -n emacs-%srcName-el
%_emacslispdir/beamer.el

%files -n lyx-%srcName
%_datadir/lyx/layouts/beamer.layout
%doc lyx/examples/*

%changelog
* Thu Nov 11 2004 Constantin (Const) Mikhaylenko <const@altlinux.ru> 3.01-alt1
- Added:
  * Option "fragile" that allows the use of overlays together with verbatims. 
    *Extremely* useful.
  * Added option "T" to columns command/environment for alignment of
    top of first lines instead of baselines of first lines.
  * Added a color theme (dolphin) and a presentation theme
    (Boadilla) due to Manuel Carro.
  Bugfixes.

* Wed Oct 27 2004 Constantin (Const) Mikhaylenko <const@altlinux.ru> 3.00-alt1
- initial release for Sisyphus
